← OBPdynamic-entity Delete activity_plan by id DELETE /obp/dynamic-entity/banks/dylan-bank/activity_plan/ACTIVITY_PLAN_ID OBPv4.0.0-dynamicEntity_deleteactivity_plan_dylan-bank Roles: CanDeleteDynamicEntityRecord_activity_plan(per bank) _Activity_plan(dylan-bank)Dynamic-EntityDynamic Delete activity_plan by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"activity_plan" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "activity_plan_id": "ap-1037502-192zf129r3", "activity_id": "a_05OFWI037022", "date_submitted": "2026-11-20", "legal_parcel_ownership": "TBD", "coordinate_reference_system": "EPSG:4326", "iacs_codes": "DE-BB-IACS-2026-0012345678", "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432", "methodology_quantification_baseline": "TBD", "expected_total_carbon_removals": 6, "expected_total_soil_emissions": 6, "expected_total_ghg_emissions_associated": 6, "expected_net_benefit": 6 } Example success response { "bank_id": "dylan-bank", "activity_plan": { "activity_plan_id": "ap-1037502-192zf129r3", "activity_id": "a_05OFWI037022", "date_submitted": "2026-11-20", "legal_parcel_ownership": "TBD", "coordinate_reference_system": "EPSG:4326", "iacs_codes": "DE-BB-IACS-2026-0012345678", "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432", "methodology_quantification_baseline": "TBD", "expected_total_carbon_removals": 6, "expected_total_soil_emissions": 6, "expected_total_ghg_emissions_associated": 6, "expected_net_benefit": 6 } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.